-- name: dm_construct.bsp (arena)
-- description: gravity gun weapon when \n\ \n\special thanks to my friends for hopping on gmod and designing this trash with me \n\ \n\thanks to @flipflopbell for the 2d skybox code i stole

-- register the level here
LEVEL_ARENA_CONSTRUCT = level_register('level_construct_arena_col_entry', COURSE_NONE, 'dm_construct', 'dm_construct', 28000, 0x00, 0x28, 0x28)

-- get level ID and make bgms table
ConstructID = smlua_level_util_get_info(LEVEL_ARENA_CONSTRUCT)
ConstructIDReal = ConstructID.levelNum
bgms = {
	[ConstructIDReal] =         {audio='brodyquest.ogg', loopEnd = 227.152, loopStart = 0.0, volume = 1.0, name="Lemon Demon - Brodyquest"}, 
}

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_CONSTRUCT, 'construct')
end

--water?
--add_scroll_target(0, "XXX", 0, 5000)

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
