E_MODEL_CONSTRUCTSKYBOX2D = smlua_model_util_get_id("constructskybox_geo")
E_MODEL_CONSTRUCTSKYBOX3D = smlua_model_util_get_id("constructskybox3d_geo")
set_override_far(400000)

--2d skybox (code stolen from @flipflopbell on the ex-coop discord)

local l = gLakituState

function bhv_construct2dskybox_init(o)
    o.oFlags = OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE
    o.header.gfx.skipInViewCheck = true
    obj_scale(o, 300.0)
end

function bhv_construct2dskybox_loop(o)
    o.oPosX = l.pos.x
    o.oPosY = l.pos.y
    o.oPosZ = l.pos.z
end

id_bhvConstruct2DSkybox = hook_behavior(bhvConstruct2DSkybox, OBJ_LIST_LEVEL, false, bhv_construct2dskybox_init, bhv_construct2dskybox_loop)

function SpawnConstructSkybox()
    local skyboxcheck = obj_get_nearest_object_with_behavior_id(o, id_bhvConstruct2DSkybox)
    local p = gNetworkPlayers[0]
    if skyboxcheck == nil and p.currLevelNum == LEVEL_ARENA_CONSTRUCT then
        spawn_non_sync_object(id_bhvConstruct2DSkybox, E_MODEL_CONSTRUCTSKYBOX2D, l.pos.x, l.pos.y, l.pos.z, nil)
    end
end

--3d skybox

function bhv_construct3dskybox_init(o)
    o.header.gfx.skipInViewCheck = true
    obj_scale(o, 71.0)   --38 for normal, XXX for dm
end

function bhv_construct3dskybox_loop(o)
    return
end

id_bhv3DSkybox = hook_behavior(bhvConstruct3DSkybox, OBJ_LIST_LEVEL, false, bhv_construct3dskybox_init, bhv_construct3dskybox_loop)


--spawn skybox
hook_event(HOOK_ON_LEVEL_INIT, SpawnConstructSkybox)